

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
 
}


body {
  background-image: url('../img/background.png'); 
  background-repeat: repeat;
  background-size: auto;


  font-family: "Noto Sans TC", sans-serif;
  letter-spacing: 2px;  
  line-height: 24px;
  text-align: justify;
  overflow-x: hidden;
  max-width: 100%;
  
}

p{
  font-size: 1rem;
  text-align:justify;
}

 h3{
  color: #0077a5;
}


#modal-description {
  white-space: pre-line; 
  word-wrap: break-word; 
  line-height: 1.5;
}



#modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: none; /* 預設隱藏 */
  justify-content: center;
  align-items: center;
  background-color: rgba(0,0,0,0.5);
  z-index: 1000;
  overflow: auto; 
  padding: 20px; 
  overflow-y: auto;
}


@media (max-width: 768px) {
#modal {
  padding-top: 35% ;
  align-items: flex-start;
}

}


.modal-content {
  max-width: 600px;
  width: 100%;
  background: #fff;
  border-radius: 8px;
  padding: 20px;
  box-sizing: border-box;
  overflow-y: auto; 
  max-height: 90vh;
}



strong{
  color: #0077a5;
}



.highlight {
  color: #0077a5; 
  font-weight: bold;
}

.video-modal {
  display: none; 
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0,0,0,0.8);
  padding: 15% 0;

}

.video-modal-content {
  position: relative;
  margin: 0 auto;
  width: 90%;
  max-width: 800px;
  height: 450px; 
  background: #000;

}

.video-modal-content iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.video-modal-close {
  position: absolute;
  top: -40px;
  right: 0;
  color: white;
  font-size: 30px;
  cursor: pointer;
}




.header {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
  background-color: transparent;
}

.header .logoBox {
  position: relative;
  height: 70px;
  margin-bottom: 40px;
  margin-top: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}



@media (max-width: 1365px){

.header .logoBox {
  margin-bottom: 15px;
}
}
@media (max-width: 786px){

.header .logoBox {
    height: 45px;
  margin-bottom: 0px;
  justify-content: start;
}
}

@media (max-width: 480px){

.header .logoBox {
  height: 45px;
}
}


.header.scrolled .logoBox {
  height: auto;
  margin-bottom: 0;
  margin-top: 0px;
}


.logoCenter {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0;
  text-align: center;
  transition: all 0.3s ease;
}


.header.scrolled .logoCenter {
  position: absolute;
  left: 20px;
  top: 15px;
  transform: none;
  bottom: auto;
  width: auto;
}

@media (max-width: 1000px){
.header.scrolled .logoCenter {
  top: 10px;
}
}

@media (max-width: 480px){
.header.scrolled .logoCenter {
  top: -10px;
}
}

.header.scrolled .mainLogo {
  width: 150px; 
}

.header.scrolled .menuList {
  gap: 50px;
  padding-top: 20px;
  padding-bottom: 20px;
}

@media (max-width: 1000px){
.header.scrolled .menuList {
  padding-left: 30px;
  gap: 10px;
  padding-top: 10px;
  padding-bottom: 10px;
}
}

.header.scrolled {
  background-color: #C2E0E6;
  padding: 12px 20px;
  transition: all 0.3s ease;
}

.header.fixed {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  background-color: #C2E0E6;
  transition: all 0.3s ease; 
}


.mainLogo {
  width: 395px;
  transition: all 0.3s ease;
}

@media (max-width: 786px){
.mainLogo {
  width: 310px;
}
}

@media (max-width: 480px){
.mainLogo {
  width: 225px;
}

.header .logoBox{

  margin-top:auto;
}
}


.socialIcons {
  position: fixed;
  right: 20px;
  top: 55px;
  display: flex;
  gap: 12px;
}


.header.scrolled .socialIcons {
   top: 20px;
}

.socialIcons img {
  width: 32px;
  height: auto;
  cursor: pointer;
}


@media (max-width: 786px) {
  .socialIcons {
    position: static;
    justify-content: flex-start;
    margin-left: 20px;
    margin-top: 10px;
    padding-bottom: 10px;
  }
}


@media (max-width: 786px) {
  .socialIcons {
    display: none;
  }
}

.menuList {
  display: flex;
  gap: 72px;
  justify-content: center;
  flex-wrap: wrap;
  transition: all 0.3s ease;
}



.menuList .item {
  font-size: 1.5rem;
  text-decoration: none;
  color: #000;
}


.hamburger {
  display: none;
  position: absolute;
  right: 20px;
  top: 20px;
  cursor: pointer;
  z-index: 2000;
}

.hamburger div {
  width: 30px;
  height: 4px;
  background-color: #000;
  margin: 6px 0;
  border-radius: 3px;
}

@media (max-width: 1365px) {
  .menuList {
    gap:20px ;
  }
.menuList .item {
  font-size: 1.2rem;
 
}


}

@media (max-width: 785px) {
  .menuList {
    position: fixed;  
    top: 50px;
    left: 0;
    width: 100%;
    background-color: #fff;
    display: none; 
    flex-direction: column;
    padding: 10px 0;
    z-index: 999;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  }


.menuList.active {
    display: flex;
  }

  .menuList .item {
    padding: 12px 20px;
    width: 100%;
    box-sizing: border-box;
    border-bottom: 1px solid #eee;
    text-align: center;
  }

  .hamburger {
    display: block;
  }

 .header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: #C2E0E6;
    padding: 10px 0;
    transition: all 0.3s ease;
  }
}





.s1 .kvBg {
  position: absolute;
  width: 100%;

  left: 0;
  top: 0;
  overflow-x: hidden;
}
.s1 .kvBg img {
  width: 100%;
}

.s1 .kvBg img:nth-child(1) {
  display: block;
}
@media (max-width: 767px) {
  .s1 .kvBg img:nth-child(1) {
    display: none;
  }
}
.s1 .kvBg img:nth-child(2) {
  display: none;
}
@media (max-width: 767px) {
  .s1 .kvBg img:nth-child(2) {
    display: block;
  }
}


.waveWrapper {
position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  max-width: 100vw; 
  overflow: hidden;
  height: 160px;
  z-index: 1;
}

.doubleWave {
width: 200%;
  height: 100%;
  animation: waveMove 10s linear infinite;
  will-change: transform;
  backface-visibility: hidden;
}

.doubleWave path {
  fill: #fff;
  opacity: 0.5;
}

@keyframes waveMove {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}


.s1 .s1Btn {
  position: absolute;
  z-index: 2;
  left: 50vw;
  top: 11vw;
  width: 40vw;
}
@media (max-width: 767px) {
  .s1 .s1Btn {
    width: 75vw;
    top: 55vw;
    left: 25vw;
  }
}
.s1 .s1Btn img {
  width: 100%;
}


.s1Btn {
  animation: rotate 3s linear infinite;
  transform-origin: center center;
}

@keyframes rotate {
0% {
    transform: translate(0, 0);
  }
  25% {
    transform: translate(5px, -5px);
  }
  50% {
    transform: translate(0, 5px);
  }
  75% {
    transform: translate(-10px, -5px);
  }
  100% {
    transform: translate(0, 0);
  }
}










h1{
  font-size: 2.5rem;
  color: #0077a5;
  text-align: center;

  position: relative; 
  z-index: 10;

}


.white{

  color: #fff;

}

.title-left{

  text-align:left;
}


.s2  {
  padding-top: 63vw;
  margin-bottom: 100px;
  overflow-x: hidden;
}


.s2::before{
  content: "";
  position: absolute; 
  background: url(../img/bird-02.gif) no-repeat center center;
  background-size: contain;
  background-repeat: no-repeat;
  width: 150px;
  height: 150px;
  right: 400px;
  z-index: -10;
}

@media (max-width: 1365px) {
.s2::before{
  right: 165px;
}
}

@media (max-width: 768px) {
.s2::before{
  right: 1px;
}
}

@media (max-width: 480px) {
.s2::before{
  width: 124px;
  top: 66%;
}

}


@media (max-width: 376px) {
.s2::before{
  height: 110px;
  top: 78%;
}

}



 h2 {
      color: #0077a5;
      margin-top: 40px;
    }

.slider {
  display: flex;
  overflow: hidden;
  justify-content: center;
  max-width: 100%;
  margin: 40px auto;
}

.slider-page {
  display: flex;
  transition: transform 0.3s ease;
  min-width: 100%;
  justify-content: center;
  gap: 40px;
}

#sliderPage {
  transition: transform 0.6s ease-in-out;
}

@media (max-width: 768px) {
 .slider-page {
  gap: 10px;
}

 .s2{
    padding-top: 155vw;
  }
}

@media (max-width: 480px) {

  .s2{
    margin-bottom: 165px;
  }

  .slider-page {
    flex-direction: column;
    align-items: center;
    gap: 10px; 
  }

  .slider .card, .slider .card02, .slider .card03 {
    width: 90%;  
    margin-top: 0;
  }

  .card img,.card02 img,.card03 img {
    height: auto;
    max-height: 150px; 
  }
}

.slider-wrapper {
  display: flex;
  transition: transform 0.3s ease;
  width: 300%; 
  }

.card {
  width: 200px;
  flex-shrink: 0;
  cursor: pointer;
  text-decoration: none;
  color: inherit;
}

.card02 {
  margin-top: 35px;
  width: 200px;
  flex-shrink: 0;
  cursor: pointer;
  text-decoration: none;
  color: inherit;
}

.card03 {
  margin-top: 70px;
  width: 200px;
  flex-shrink: 0;
  cursor: pointer;
  text-decoration: none;
  color: inherit;
}


.card img, .card02 img, .card03 img {
  
  border-radius: 50px;
  overflow: hidden;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  width: 100%;
  height: 270px;
  display: block;
  object-fit: cover; 
}



.card, .card02, .card03 {
  width: 200px;
  flex-shrink: 0;
  cursor: pointer;
  transition: all 0.3s ease;
}


.card img, .card02 img, .card03 img {
  border-radius: 50px;
  overflow: hidden;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  width: 100%;
  height: 270px;
  display: block;
  object-fit: cover;
  transition: all 0.3s ease;
}


.card:hover img, .card02:hover img, .card03:hover img {
  filter: brightness(0.8); 
  transform: scale(0.95);
}


.card .card-content, .card02 .card-content, .card03 .card-content {
  color: #333;
  transition: color 0.3s ease;
}

.card:hover .card-content, .card02:hover .card-content, .card03:hover .card-content {
  color: #0077a5;
}

.card-content {
  padding: 10px;
}



.date {
  color: #333;
  font-size: 14px;
}

.title {
  font-size: 16px;
  font-weight: bold;
  margin-top: 5px;
}

.dots {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-bottom: 30px;
}

.dot {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: #0077a5;
  opacity: 0.3;
  cursor: pointer;
}

.dot.active {
  opacity: 1;
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.modal.active {
  visibility: visible;
  opacity: 1;
}

.modal-content {
  background: white;
  border-radius: 10px;
  max-width: 600px;
  padding: 20px;
  text-align: left;
  position: relative;
}

.modal-content img {
  width: 100%;
  height: 350px;
  border-radius: 10px;
  margin-top: 20px;
  object-fit: cover; 
}

.modal-content h3 {
  margin-top: 10px;
}

.modal-content p {
  margin-top: 5px;
}

.close-btn {
  position: absolute;
  top: 10px;
  right: 15px;
  cursor: pointer;
  font-size: 24px;
}





.s3 {
  position: relative;
}

.s3 .Bg {
  position: absolute;
  
  top: 0;
  left: 0;
  width: 100vw;
  height: 100%;
  z-index: 0;
}

.s3 .Bg img {
  width: 100%;
  height: auto;
  object-fit: fill;
  display: block;
  transform: translateY(-150px); 
  pointer-events: none;
}


.s3 .s3Box{
  position: relative;
  z-index: 1; 
  padding-top: 3%;
  margin-left: 15%;
  margin-right: 15%;
}



.bigtitle-right{
  text-align: right;
}


.bigtitle-left{
 text-align: left;
}

.bigtitle-center{
text-align: center;
}

.bigtitle-left, .bigtitle-right, .bigtitle-center {
  
  font-size: 4rem;
  font-weight: 700;
  position: relative;
  line-height: 6.5rem;
  z-index: 10;

  background-color:#025684;
   -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    color: transparent;
    text-shadow: rgba(255, 255, 255, 34%) 2px 2px 2px;
}


@media (max-width: 480px) {


.s3 .s3Box{
  padding-top: 0px;
  margin-left: 5%;
  margin-right: 5%;
}



.bigtitle-left, .bigtitle-right, .bigtitle-center {
    font-size: 3rem;
  }
}



.s3.place {
  display: flex;
  gap: 40px;
 
  border-radius: 20px;
  align-items: flex-start;
}

@media (max-width: 768px) {
.s3.place {

  flex-direction: column;
}

}


.s3  .left-box, .s3  .right-top, .s3  .right-bottom {
  padding-top: 20px;
  text-align: left;
  position: relative;
 
}


.s3  .right-top::before{
  content: "";
  position: absolute; 
  background: url(../img/water.gif) no-repeat center center;
  background-size: contain;
  background-repeat: no-repeat;
  width: 250px;
  height: 360px;
  right: -32%;
  top: -120%;
  z-index: -1;

}


@media (max-width: 1200px) {
.s3  .right-top::before{
  top: -245%;
}

}


@media (max-width: 480px) {
.s3  .right-top::before{
 display: none;
}

}


.s3 .left-box img{
  border-radius: 60px;
  width: 100%;
  max-width: 600px;
  height: auto; 
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
  object-fit: cover;

  transition: transform 0.5s ease;

}



.s3 .right-top img, .s3 .right-bottom img {
  border-radius: 80px;
  width: 100%;
  max-width: 450px;
  height: auto;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
  object-fit: cover;
}



@media (max-width: 1200px) {
.s3 .right-top img, .s3 .right-bottom img {
  max-width: auto;
  margin-right: 0px;
}

body .s3 .left-box {
  max-width: none;
  width: 100%; 
}
}


.s3 .img-wrapper,.s3 .right-top img,.s3 .right-bottom img {
  overflow: hidden;
  display: block;
  position: relative;
  transition: transform 0.5s ease;

}

.s3 img:hover {
  transform: scale(0.95);
}


.s3 .left-box {
  flex: 1;
  max-width: 50%;
}


.s3 .left-text{

  margin-left: 5%;
  margin-right: 5%;
}

.s3 .left-text p{
  max-width: 525px;
}

.s3 .right-box {
  margin-top: 100px;
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.s3 .right-text{
    margin-left: 0;
    margin-right: 0;
    width: 100%;
    max-width: 450px; 
}

@media (max-width: 480px) {
.s3 .right-text{
  margin-left: 5%;
  margin-right: 5%;
}
}

.s3 .right-top, .s3 .right-bottom {
 display: flex;
 flex-direction: column;
 align-items: center;
}

@media (max-width: 1200px) {
.s3 .right-top, .s3 .right-bottom {
 text-align: center;
}
}

.s3 .title {
  font-weight: bold;
  font-size: 20px;
  margin-top: 25px;
  color: #0077a5;
}

.s3 p {
  margin: 10px 0;
}



.s3 button.readmore {
  width: 100%;
  text-align: center;
  background: white;
  border: none;
  cursor: pointer;
  font-size: 14px;
  padding: 10px 20px;
  border-radius: 20px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.15);
  transition: all 0.2s;
  display: block;
}


.s3 button.readmore:hover {
  background: #0077a5;
  color: white; 
}


.s3 .img-wrapper {
  position: relative;
  display: inline-block;
}

.s3 .img-wrapper .arrow {
  position: absolute;
  bottom: 5px; 
  right: -2px;
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
}



.s3 button.arrow {
  background: none;
  border: none; 
  padding: 0; 
  margin: 0; 
  cursor: pointer; 
  border-radius: 0; 
  box-shadow: none; 

}

.s3 button.arrow img {
  width: 60px;
  height: 60px;
  display: block;
  border: none;
  background: none;
  box-shadow: none;
}

.s3 button.arrow:hover img {
  transform: scale(1.05);
  transition: transform 0.2s ease;
}








.video-container {
  position: relative;
  width: 60%;
  aspect-ratio: 16 / 9;
  margin: 150px auto;
  overflow: hidden;
  border-radius: 15px;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
}

@media (max-width: 786px) {
.video-container {
  width: 80%;
}
}

@media (max-width: 480px) {
.video-container {
  width: 95%;
}

}

.video-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

















.planBox-slider {
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  -webkit-overflow-scrolling: touch;
  scroll-behavior: smooth;
  width: 100%;
}


.planslider {
  display: flex;
  flex-wrap: nowrap;
  width: max-content;
}

.planBox{
  margin-top: 10% ;
  margin-left: 20%;
  margin-right: 20%;
  position: relative;
  z-index: 10; 
}



@media (max-width: 480px) {
.planBox{
  margin-left: 5%;
  margin-right: 5%;
}

.planBox .plantext{
  margin-top: 180px;
}

.planBox .plantext2{
  margin-top: 180px;
}
}


.plantextBox{
  display: flex;
  position: relative;
}


.plantext ::before{
  content: "";
  position: absolute; 
  background: url(../img/tree.png) no-repeat center center;
  background-size: contain;
  background-repeat: no-repeat;
  width: 280px;
  height: 200px;
  right: -5%;
  top: -35%;
  z-index: 10;
}

.planimg{
  position: absolute;
  left: 0;
  top: -35px;
  display: flex;
  gap: 20px;
  z-index: 2;
  padding-left: 50px; 
}

.planimg img {
  height: 350px;
  width: 190px;
  border-radius: 120px;
  object-fit: cover;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.15);

  transition: transform 0.5s ease;
}

@media (max-width: 786px) {
.planimg img {
  height: 200px;
  width: 100px;
}
}




.planimg02 {
 margin-top:50px ;
}


.plantext{
  background-color: #fff;
  border-radius: 80px;
  padding: 45px 90px 30px 500px; 
  position: relative;
  z-index: 1;

  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.15);

}




.plantext2{
  background-color: #fff;
  border-radius: 80px;
  padding: 45px 90px 30px 500px; 
  position: relative;
  z-index: 1;

  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.15);

}




@media (max-width: 1200px) {
.plantext{
  padding: 50px 40px; 
  margin-top: 80%;
}

.plantext2{
  padding: 50px 40px; 
  margin-top: 55%;
}
}


@media (max-width: 786px) {




.planimg{
  padding-left: 0px; 
}
}


@media (max-width: 480px) {

.plantext{
  margin-top: 100%;
}
.plantext ::before{
  display: none;
}

.plantext2{
  margin-top: 100%;
}
.planimg{
  right: 40px;
  justify-self: end;
}
}





.focus{
  margin-top: 10% ;
  margin-left: 20%;
  margin-right: 20%;
  position: relative;
  z-index: 10; 
}




@media (max-width: 1700px) {

.s3 .focus .grid-item {

  aspect-ratio: 1.5 / 1; 
}
}


@media (max-width: 1200px) {
.focus{
  margin-left: 5%;
  margin-right: 5%;
}

.s3 .focus .grid-container {
  gap: 10px;
}

}



@media (max-width: 786px) {

.s3 .focus .grid-item {
  aspect-ratio: 2 / 3; 
}
}


@media (max-width: 480px) {

.s3 .focus .grid-item {
  aspect-ratio: 2 / 5.1; 
}
}



.focus .grid-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr); 
  gap: 40px;

}

.focus .grid-item {
  border-radius: 16px;
  overflow: hidden;
  position: relative;
  aspect-ratio: 3 / 1; 
}

.focus .image-wrapper {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
  
}

.focus .image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.5s ease;
}

.mask-images2:hover img  ,.focus .image-wrapper:hover img {
  transform: scale(1.08); 
}

.focus .overlay {
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.35); 
  pointer-events: none;
  z-index: 1;
}

.focus .caption {
  position: absolute;
  bottom: 15px;
  left: 20px;
  color: white;
  font-size: 1.3rem;
  font-weight: bold;
  z-index: 2;
  transition: all 0.3s ease;
  max-width: calc(100% - 40px);
  word-wrap: break-word;
  padding-right: 10px; 
}



.focus .caption .text-hover {
  display: none;
  opacity: 0;
  transition: opacity 0.3s ease;

  margin-top: 8px; 
  list-style: none;
  font-size: 1rem;
}

.text-hover li {
  position: relative;
  padding-left: 1em;
}


@media (max-width: 480px) {
.text-hover li {
   font-size: 14px;
}
}


.text-hover li::before {
  content: "．";
  position: absolute;
  left: 0;
  top: 0;
  font-weight: bold;
}

.focus .caption .text-default {
  display: inline;
  opacity: 1;
  transition: opacity 0.3s ease;
}

.focus .image-wrapper:hover .caption .text-default {
  display: none;
  opacity: 0;
  
}

.focus .image-wrapper:hover .caption .text-hover {
  display: block;
  opacity: 1;
}



@media (max-width: 768px) {
  .grid-container {
    grid-template-columns: 1fr;
  }
}







.goal{
  margin-top: 10% ;
}
.goal .bigtitle-left{
  margin-left: 15%;
  padding-top: 7%;

}

@media (max-width: 786px) {
.goal .bigtitle-left{
  margin-left: 5%;
  padding-top: 0;
}
}



.mask-container {
  position: relative;
  width: 100%;
  overflow: visible;
}

.masked-image {

  position: absolute;
  top: -25%;
  left: 50%;
  transform: translateX(-56%);

  width: 90vw;
  height: auto;
  aspect-ratio: 1 / 1; 
  
  background-image: url('../img/pic-13.JPG');
  background-size: contain; 
  background-position: center;
  background-repeat: no-repeat;

  mask-image: url('../img/mask-01.png');
  mask-size: contain;
  mask-position: center;
  mask-repeat: no-repeat;

  -webkit-mask-image: url('../img/mask-01.png');
  -webkit-mask-size: contain;
  -webkit-mask-position: center;
  -webkit-mask-repeat: no-repeat;

  z-index: -1;
}



@media (max-width: 1365px) {
.masked-image {
  top: -20%;
}

}

@media (max-width: 1000px) {
.masked-image {
  top: -15%;
}

}


@media (max-width: 786px) {
.masked-image {
  top: -10%;
}

}


@media (max-width: 480px) {
.masked-image {
  top: -5%;
}

}






.goal-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 120%;
  z-index: 0;
  pointer-events: none;

}



.goal-bg img {
  width: 100%;
  height: auto;
  object-fit: contain; 
}


.mask-overlay {
 position: relative;
  z-index: 10;
  width: 100%;
  padding: 5% 10%;
  color: #0077a5;
  display: flex;
  flex-direction: column;
  align-items: end;
  
}


@media (max-width: 768px) {
.mask-overlay {

  align-items: center;
  
}
}




.goal-text{
  display: flex;
  flex-direction: column;
  align-items: flex-end;
 
  padding-top: 2%;

}


@media (max-width: 768px) {
.goal-text{
  padding: 5% 0;
}
}




.goal-section {
  height: 500px;
  position: relative;
  padding: 20px;
  border-radius: 8px;
  margin-bottom: 30px;
  justify-content: center;
  max-width: 700px;
  
}


.goal-header h2 {
  font-size: 1.5rem;
  margin-bottom: 15px;
  padding-bottom: 5px;
}

.goal-header h3 {
 color: #333;
}


.goal-text2 {
  padding-top: 25px;
  list-style: none; 
  padding-left: 0;
  line-height: 1.8;
  color: #333;
}

.goal-text2 li {
  position: relative;
  padding-left: 20px; 
  margin-bottom: 10px;
}

.goal-text2 li::before {
  content: "•";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);

}

.mask-images {
  display: flex;
  gap: 40px;
  margin-top: 15px;
}

.mask-images img {
  width: 190px;
  height: 350px;
  object-fit: cover;
  border-radius: 200px;
   transition: transform 0.5s ease;
}


@media (max-width: 768px) {

.mask-images img {
  height: 200px;
  width: 100px;
}

}



.mask-image-item {
  text-align: center;
  cursor: pointer;
}

.mask-image-item h2 {
  font-size: 1.1rem;
  margin-bottom: 10px;
  color: #0077a5;
  margin-top: 10px;
}

.goal-section {
  display: none;
}

.goal-section.active {
  display: block;
}







.partners{
  display: none;
  margin-top: 10% ;
  position: relative;
  z-index: 10; 
}

@media (max-width: 1920px) {
.partners{
  margin-top: 0% ;
}
}

@media (max-width: 768px) {
.partners{
  margin-bottom: 10%;
}

.s3 .partners .partner-label {
  font-size: 1rem;
}
}



.partners .grid-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center; /* 上下項目居中排列 */
  gap: 30px;
  padding: 20px;
  margin: 0 auto;
}

.partners .grid-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 200px;
  max-width: 100%;
}

@media (max-width: 1200px) {
  .partners .grid-item {
    width: 180px;
  }
}

@media (max-width: 866px) {
  .partners .grid-container {
    justify-content: center;
    padding: 0;
  }

  .partners .grid-item {
    width: 44%;
  }
}


.partners .grid-container .grid-item:nth-child(n+5) {
  width: 200px;
  margin: 10px;
  justify-self: center;
}


.partners .lower-row {
  display: flex;
  justify-content: center;  
  gap: 30px;
  width: 100%;
  flex-wrap: wrap; 
}


.partners .lower-row .grid-item {
  width: 200px; 
}

@media (max-width: 1200px) {
  .partners .lower-row .grid-item {
    width: 180px;
  }
}

@media (max-width: 866px) {
  .partners .lower-row {
    justify-content: center;
    flex-wrap: wrap; 
    margin-top: 30px;
  }

  .partners .lower-row .grid-item {
    width: 44%; 
  }
}


.partners .image-wrapper2 {
  width: 100%;
  aspect-ratio: 1 / 1;
  overflow: hidden;
  border: 1px solid #333;
}

.partners .image-wrapper2 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}









.partners .content-box {
  width: 100%;
  
  overflow: hidden;
  position: relative;
  display: flex;
  flex-direction: column;
}

.partners .image-wrapper2 {
  flex: 1;
  overflow: hidden; 
  border: 1px solid #333;
}

.partners .image-wrapper2 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.partners .partner-label {
  text-align: center;
  margin-top: 10px;
  font-size: 1.2rem;
  font-weight: 600;
  color: #333;
}

.partners .partner-label2 {
  text-align: center;
  margin-top: 10px;
  font-size: 1rem;
  color: #333;
}






.s4 {
  position: relative;
  z-index: 0;
}


.s4-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0;
  pointer-events: none;
}

.s4-bg img {
  width: 100%;
  height: auto;
  object-fit: contain; 
}

.s4 .s4Box{
  margin: 5% auto;
  padding: 15% 20px 0px 20px;
  max-width: 1400px;

   box-sizing: border-box;
}

.s4::before {
  content: "";
  position: absolute;
  background: url(../img/bird-01.gif) no-repeat center center; 
  background-size: contain; 
  background-repeat: no-repeat; 
  width: 200px;
  height: 80px;
  left: 18%;
  top: 95%;
  z-index: 2;
}


@media  (max-width: 480px) {
 .s4::before {
  left: 0%;
}
}



@media screen and (max-width: 768px) {
  .s4 .s4Box {
    width: 100%;
    max-width: 100%;
    padding: 50px 15px 0px 15px;
    margin: 0 auto;
    box-sizing: border-box;
  }

  .s4-carousel-btn {
    width: 30px;
    height: 30px;
  }

  .s4-carousel-btn.s4-prev {
    left: 10px;
  }

  .s4-carousel-btn.s4-next {
    right: 10px;
  }

  .s4-carousel-track {
    padding: 0;
    gap: 10px;
  }

  .s4-card {
    margin: 0 auto;
  }
}




@media  (max-width: 480px) {
  .s4-carousel-wrapper {
    padding-right: 0px;
  }
}



.s4-carousel-section {
  position: relative;
  text-align: center;
  padding: 50px;
   overflow: hidden;
}


@media  (max-width: 480px) {
.s4-carousel-section {
  padding: 50px 0px 0px 0px;
  left: 0%;
}
}

.s4-carousel-wrapper {
  width: calc(2 * 490px + 40px); 
  margin: 0 auto;
  overflow: hidden;
  position: relative;
}


@media screen and (max-width: 768px) {
  .s4-carousel-wrapper {
    width: 100%; 
    padding-left: 0; 
    padding-right: 7px; 
    box-sizing: border-box;
  }

  .s4 .s4-card {
    width: 100%;
    max-width: 450px;
    height: auto;
    padding-bottom: 30px;
  }
}


.s4-carousel-track {
  display: flex;
  gap: 20px;
  transition: transform 0.4s ease-in-out;
  min-width: 100%;

}

@media screen and (max-width: 768px) {
  .s4-carousel-track {
    padding: 0 10px;
  }
  .s4-card {
    width: 100%;
    max-width: none;
  }
}

.s4-card {
  width: 500px;
  height: 515px;
  flex-shrink: 0;
 
  border-radius: 0 0 80px 80px;
  background: white;
  cursor: pointer;
  overflow: hidden;
}

.s4-card img:hover {

  transform: scale(0.95);
}

.s4-card img {
  width: 100%;
  height: 350px;
  object-fit: cover;
  border: 6px solid #fff;
  transition: transform 0.3s ease;
}

.s4-card-text {
  padding: 2% 10% 5% 10%;
  text-align: left;
}

.s4-carousel-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
  z-index: 10;
  width: 48px;
  height: 48px;
}

.s4-carousel-btn .arrow-icon {
  width: 100%;
  height: 100%;
  display: block;
}

.s4-carousel-btn.s4-prev {
  left: 80px;
}

.s4-carousel-btn.s4-next {
  right: 80px;
}

.s4-carousel-btn:hover .arrow-icon circle {
  fill: #e0f4ff; 
}


@media  (max-width: 1200px) {
.s4 .s4-carousel-btn {
  width: 30px;
  height: 30px;
}

.s4 .s4-carousel-btn.s4-prev {
  left: 10px;
}

.s4 .s4-carousel-btn.s4-next {
  right: 10px;
}
}



@media  (max-width: 488px) {

.s4 .s4-carousel-btn.s4-prev {
  left: 0px;
}
.s4 .s4-carousel-btn.s4-next {
  right: 0px;
}
}




.s4-modal {
  display: none;
  position: fixed;
  top: 0; left: 0;
  width: 100vw; height: 100vh;
  background: rgba(0,0,0,0.5);
  justify-content: center;
  align-items: center;
  z-index: 100;
}

.s4-modal-content {
  background: #fff;
  padding: 30px;
  border-radius: 16px;
  max-width: 400px;
  width: 90%;
  text-align: center;
  position: relative;
}

.s4-modal-content img {
  width: 100%;
  border-radius: 10px;
}

.s4-modal-close {
 color: transparent;
}






















.s5{

display: block;
margin-top: 15%;
  
}


.info-switch-container {
  text-align: center;
  padding: 40px 20px;
}

.info-buttons {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-bottom: 40px;
}

.info-btn .img-wrapper {
  width: 190px;
  height: 300px;
  
  border-radius: 80px;
  overflow: hidden;
  position: relative;
  background: #000;
  transition: transform 0.3s;
}


@media (max-width: 786px) {

.info-btn .img-wrapper {
 aspect-ratio: 1 / 1.5;
  width: auto;
  height: auto;
}

}

.info-btn .img-wrapper:hover img {
  transform: scale(1.05); 
}

.info-btn.active .img-wrapper img {
  transform: scale(1.05);
}

.s5 .img-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s;
}

.s5 .img-wrapper .label {
  position: absolute;
  bottom: 10px;
  left: 0;
  right: 0;
  color: #fff;
  font-weight: bold;
  font-size: 16px;
}

@media (max-width: 768px) {
.info-left {
  display: none;
}
.info-content {
 
  justify-content: start;
  margin: 10% auto;
}

.s5 .info-right {
  max-width: 100%;
}
}




.info-content {
  display: flex;
  background-color: #fff;
  align-items: center;
  justify-content: end;
  max-width: 800px;
  margin: 10% auto;
  border-radius: 30px;

  box-shadow: 0 0 10px rgba(0,0,0,0.1);
  position: relative;
  overflow: visible;
}

.info-left {
  position: absolute;
  left: 10%;
  z-index: 1;  
  border: 6px solid #fff;
  transform: rotate(6deg) translateY(-20px); 
  box-shadow: 0 15px 30px rgba(0,0,0,0.2);  
  width: 30%;
  height: 140%;
  object-fit: cover;
 
}

@media (max-width: 768px) {
.info-left {
  display: none;
}
.info-content {
 
  justify-content: start;
  margin: 10% auto;
}

.s5 .info-right {
  max-width: 100%;
}
}





.info-left img {

  position: relative;
  z-index: 2;
}

.info-right {
  
  text-align: left;
  max-width: 500px;
  padding: 5%;
  position: relative;
  z-index: 10;
}

.info-right h3 {
  font-size: 24px;
  margin-bottom: 16px;
}


.download {
  text-decoration: none;
  color: inherit; 
  color: #35546B;
  cursor: pointer; 
}

.download:hover {
  text-decoration: underline; 
}











.team{
  margin-top: 0% ;
}
.team .bigtitle-left{
  margin-right: 10%;
  margin-top: -10%;
  text-align: right;
  padding-top: 15%;
}


.team h3{
  color: #333;
}


.mask-images2 {
  display: flex;
  gap: 40px;
  margin-top: 15px;

}



.mask-images2 img {
  width: 190px;
  height: 350px;
  object-fit: cover;
  border-radius: 200px;
   transition: transform 0.5s ease;
}

@media (max-width: 1200px) {

  .team .bigtitle-left{
  padding-top: 9%;
}
}

@media (max-width: 768px) {

  .team .bigtitle-left{
  padding-top: 0;
}

.mask-images2 img {
  height: 200px;
  width: 96px;
}

}




.mask-container02 {
  position: relative;
  width: 100%;
}


.masked-image02 {
 
  position: absolute;  
  top: -23%;
  right: 0;
  transform: translateX(0%);

  width: 90vw;
  height: auto;
  aspect-ratio: 1 / 1; 

  background-image: url('../img/pic-15.JPG');
  background-size: contain; 
  background-position: center;
  background-repeat: no-repeat;

  mask-image: url('../img/mask-02.png');
  mask-size: contain;
  mask-position: center;
  mask-repeat: no-repeat;

  -webkit-mask-image: url('../img/mask-02.png');
  -webkit-mask-size: contain;
  -webkit-mask-position: center;
  -webkit-mask-repeat: no-repeat;

}

@media (max-width: 1800px) {
.masked-image02 {
  top: -15%;
}

}

@media (max-width: 1110px) {
.masked-image02 {
  top: -9%;
}
}


@media (max-width: 480px) {
.masked-image02 {
  top: -4%;
}

}



.team-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;  

  pointer-events: none;
}





@media (max-width: 480px) {

.team .mask-overlay02{
  top: auto;
}

}

.team-bg img {
  width: 100%;
  height: auto;
  object-fit: contain; 
}



.team-bg02 {
  position: absolute;
  z-index: -1;
  top: -10%;
  right: 0;
  width: 30%;
  height: 82%;
}

.team-bg02 img {
  width: 100%;
  height: auto;
  object-fit: contain; 
}

@media (max-width: 768px) {

.team-bg02 {

  top: 0%;

}



}

.mask-overlay02 {
  position: relative;
  top: 15%;
  left: 0;
  z-index: 10;
  width: 100%;
  height: 100%;
  color: #333;

   
  display: flex;
  flex-direction: column;

}




.team-text{
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding-left: 10%;
  padding-top: 5%;
}

@media (max-width: 1365px) {
.mask-overlay02 p {
  width: 55%;
}
}

@media (max-width: 768px) {
.mask-overlay02 p {
  width: 100%;
}

.team-text{
  padding-right: 10%;
  padding-left: 10%;
}

}



.host{
  align-items: center;
  display: flex;
  width: calc(33.333% - 20px);
}

.hostbox .host:nth-last-child(-n+2) {
  width: calc(33.333% - 20px);
}

.hosttext{
  display: flex;
  flex-direction:column;
  padding-left: 20px;
  padding-right: 30px;
  max-width: 250px;
}


.hostbox{
  display: flex;
  flex-wrap: wrap;
  justify-content: center; 
  margin-bottom: 50px;
  gap: 30px;
}



@media (max-width: 1200px) {
.host{
  flex-direction: column;
}


}


@media (max-width: 480px) {

.team h2{
  margin-top: 10px;
}

.host{
  align-items: center;
}

.hosttext{
  padding-left: 0px;
  padding-right: 0px;
}

.hosttext h3{
 display: none;
}

}


.group-wrapper {
  display: flex;
  gap: 20px;
  margin: 5% 10% 10% 10%;

}




.group-wrapper h2 {
  margin-top: 0;
  margin-bottom: 10px;
}

@media (max-width: 1365px) {
.group-wrapper{
  margin: 10% 10% 10% 10%;
}
}
@media (max-width: 768px) {
  .group-wrapper {
    flex-direction: column;
    margin: 5% 5% 10% 5%;
  }
}


.column-left,
.column-right {
  flex: 1 1 50%;
  min-width: 280px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.classtitle {
  font-size: 1.8rem;
  margin-bottom: 20px;
  padding-left: 10%;
  position: relative;
  z-index: 2;
}

.course-item {
  display: flex;
  align-items: center;
  gap: 20px;
  padding-bottom: 15px;
  border-radius: 10px;
  transition: all 0.3s ease;
  cursor: pointer;
}

.course-item img {
  width: 45%;
  border-radius: 80px;
  object-fit: cover;
  aspect-ratio: 4 / 2;
  transition: transform 0.3s ease;
}

.course-item:hover img {
  transform: scale(1.05);
}

.course-text {
  flex: 1;
  padding: 0 5% 0 3%;
}

.course-text h2, .course-text h3 {
  margin: 0 0 10px 0;
  color: #0077a5;
}

.course-text h4 {
  margin: 5px 0;
  font-weight: normal;
  color: #333;
}

/* 響應式處理 */
@media (max-width: 768px) {
  .group-wrapper {
    flex-direction: column;
    margin: 5%;
  }

  .course-item {
    flex-direction: column;
    text-align: center;
  }

  .course-item img {
    width: 100%;
    border-radius: 20px;
  }

  .group-wrapper::before {
    width: 500px;
    height: 500px;
  }
}

.group-wrapper::before {
  content: "";
  position: absolute;

  right: 0;
  width: 1050px;
  height: 1050px;
  background-image: url('../img/bg-class.png'); 
  background-repeat: no-repeat;
  background-size: cover; 
  background-position: center;
  z-index: -1;

  pointer-events: none;
}











.s7{
  margin-bottom: 10%;
   position: relative;
}

.s7::before {
  content: "";
  position: absolute;
  top: -55%;
  left: 0;
  width: 200px;
  height: 1290px;
  background-image: url('../img/bg-future.png');
  background-repeat: no-repeat;
  background-size: contain; 
  background-position: center;
  z-index: -1;
  pointer-events: none;
}


.s7::after {
  content: "";
  position: absolute;
  top: 30%;
  right:0;
  width: 580px;
  height: 770px;
  background-image: url('../img/bg-end.png'); 
  background-repeat: no-repeat;
  background-size: contain; 
  background-position: center;
  z-index: -1;
  pointer-events: none;
}

.future {
  display: flex;
  margin-top: 5%;
  margin-left: 10%;
  margin-right: 10%;
  gap: 40%;
  align-items: flex-start;
}

.twoimg {
  position: relative;
  width: fit-content;
  margin-top: 3%; 
}

.twoimg img {
  width: 380px;
  height: 380px;
  border: 6px solid #fff;
  box-shadow: 0 10px 20px rgba(0,0,0,0.2);
  border-radius: 8px;
  position: absolute;
  transition: all 0.3s ease;
   object-fit: cover; 
}



.twoimg img:nth-child(1) {
  transform: rotate(3deg);
  top: -50px;
  left: 200px;
  z-index: 1;
}
.twoimg img:nth-child(2) {
  transform: rotate(-3deg);
  top: 125px;
  left: 0px;
  z-index: 2;
}

.futuretext {
  flex: 1;
  background-color: #fff;
  border-radius: 80px;
  font-size: 1rem;
  padding: 5%;
  line-height: 1.8;
}


@media (max-width: 1650px) {

.futuretext {
  width: 90%;
  margin-top: 45%;
}
}



.futuretext::before{
  content: "";
  position: absolute; 
  background: url(../img/bird-02.gif) no-repeat center center;
  background-size: contain;
  background-repeat: no-repeat;
  width: 250px;
  height: 150px;
  right: 100px;
  top: 15px;
  z-index: 1;
}



@media (max-width: 1365px) {

.future {
  flex-direction: column;
  align-items: center;
}

.s7::after {
  top: 35%;
}
.twoimg img:nth-child(2) {
  top: 55px;
}


.futuretext::before{
  display: none;
}

}


@media (max-width: 950px) {


.twoimg img:nth-child(2) {
  top: -100px;
}

}


@media (max-width: 786px) {
.twoimg img {
  width: 250px;
  height: 250px;
}

.twoimg img:nth-child(1) {
  top: 30px;
  left: -150px;
}
.twoimg img:nth-child(2) {
  top: 0px;
  left: -250px;
}

  .futuretext {
    margin-top: 60%;
  }

}




@media (max-width: 480px) {
.future {
 
  margin-left: 3%;
  margin-right: 3%;

}


.twoimg img {
  width: 150px;
  height: 150px;
}

.twoimg img:nth-child(1) {
  top: 30px;
  left: -50px;
}
.twoimg img:nth-child(2) {
  top: 50px;
  left: -100px;
}

  .futuretext {
    border-radius: 20px;
  }

}


.future-list {
      list-style: none;
      padding-left: 1em;
      margin-bottom: 30px;
    }

.future-list li::before {
  content: "．";
  color: #000;
  font-weight: bold;
  margin-left: -20px;
}

.future-list .futuretitle {
  font-weight: bold;
  color: #0077a5;
  margin-right: 0.2em;
  display: inline;
}





footer{
  font-size: 0.8rem;
  color: #fff;
  background-color: #35546B;
  padding: 5%;
  display: flex;
  justify-content: space-around;
}

footer a {
  color: inherit;
  text-decoration: none;
}

footer p{
  font-size: 0.8rem;

}


.footer01{
  display: flex;
  flex-direction: column;
  gap: 10px;
}




.footer02{

  margin-left: 5%;
}



